from django.urls import path, include
from .views import (
    home_view,
    dashboard_view,
    CreateUserView,
    CreatePostView,
    PostDetailView,
)

app_name = 'core'

urlpatterns = [
    path('', home_view, name='home'),
    path('', include('django.contrib.auth.urls')),
    path('dashboard/', dashboard_view, name='dashboard'),
    path('register/', CreateUserView.as_view(), name='register'),
    path('posts/<int:pk>', PostDetailView.as_view(), name='post_detail'),
    path('posts/new', CreatePostView.as_view(), name='post_create'),
]
